<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1zZw=" . "="), "_1be4a86" . "ec540588" . "94c0dc8e" . "eb44bf65" . "a" => base64_decode("Y29tbW9uLnR5cGUuc" . "HViX3BhZ2Vz"), "_9f55fef472b741cb222ce4503e9001" . "2a" => base64_decode("cHViX3" . "BhZ2U="), "_bdf46cfa1aba0af" . "38c9a9fa98dfd831" . "b" => base64_decode("YXBwX3B1Ymx" . "pc2g="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_9f55fef472b741cb222ce4503e90012" . "a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_1be4a86ec54058" . "894c0dc8eeb44bf" . "65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bdf46cfa1aba0af" . "38c9a9fa98dfd831" . "b"];
    }
}